> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developer.artlist.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developer.artlist.io/_mcp/server.

# Artist Controller Get Artist

GET /https://business.artlist.io/search/v1/artist/{id}

Reference: https://developer.artlist.io/search/artist/artist-controller-get-artist

## Request

### Path parameters

- `id` (string, required)

## Response

### 200

Get artist by id

- `artist` (Artist, required)

## Types

### Artist

- `id` (string, required)
- `name` (string, required)
- `profileImage` (string, required)
- `slug` (string, required)
- `bio` (string, required)
- `bioImage` (string, required)
- `coverImage` (string, required)

## Examples

**Response**

```json
{
  "artist": {
    "id": "1234",
    "name": "Mr. Soundtrack",
    "profileImage": "https://www.example.com/profile.jpg",
    "slug": "mr-soundtrack",
    "bio": "Mr. Soundtrack is a great artist",
    "bioImage": "https://www.example.com/bio.jpg",
    "coverImage": "https://www.example.com/cover.jpg"
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.example.com/https://business.artlist.io/search/v1/artist/id"

response = requests.get(url)

print(response.json())
```

```javascript
const url = 'https://api.example.com/https://business.artlist.io/search/v1/artist/id';
const options = {method: 'GET'};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.example.com/https://business.artlist.io/search/v1/artist/id"

	req, _ := http.NewRequest("GET", url, nil)

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.example.com/https://business.artlist.io/search/v1/artist/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.example.com/https://business.artlist.io/search/v1/artist/id")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.example.com/https://business.artlist.io/search/v1/artist/id');

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.example.com/https://business.artlist.io/search/v1/artist/id");
var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let request = NSMutableURLRequest(url: NSURL(string: "https://api.example.com/https://business.artlist.io/search/v1/artist/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```